Serverless Exports
The Serverless Exports service collection provides operations for managing export jobs for Lambda Security resources. Read export job entities, query available jobs, download export files, retrieve vulnerabilities in SARIF format, and launch new export jobs.
| Language | Last Update |
|---|---|
| Python | v1.5.5 |
| PowerShell | v2.2.9 |
| Go | v0.20.0 |
| TypeScript | v0.6.0 |
| Rust | v0.7.0 |
| Ruby | v1.2.0 |
Table of Contents
Section titled “Table of Contents”| Operation | Description |
|---|---|
ReadExportJobsMixin0read_export_jobs | Read export jobs entities. |
QueryExportJobsMixin0query_export_jobs | Query export jobs entities. |
DownloadExportFileMixin0download_export_file | Download an export file. |
LaunchExportJobMixin0launch_export_job | Launch an export job of a Lambda Security resource. |
ReadExportJobsMixin0
Section titled “ReadExportJobsMixin0”Read export jobs entities.
GET /lambdas/entities/exports/v1
PEP 8
read_export_jobsParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| ids | query | string or list of strings | Export Job IDs to read. Allowed up to 100 IDs per request. |
| parameters | query | dictionary | Full query string parameters payload in JSON format. |
Code Examples
Section titled “Code Examples”from falconpy import ServerlessExports
falcon = ServerlessExports(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.read_export_jobs(ids=id_list)print(response)from falconpy import ServerlessExports
falcon = ServerlessExports(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.ReadExportJobsMixin0(ids=id_list)print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command("ReadExportJobsMixin0", ids=id_list)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/serverless_exports")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.ServerlessExports.ReadExportJobsMixin0( &serverless_exports.ReadExportJobsMixin0Params{ Ids: []string{"ID1", "ID2", "ID3"}, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.serverlessExports.readExportJobsMixin0(["ID1", "ID2", "ID3"]); // ids
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::ServerlessExports.new
response = api.read_export_jobs_mixin0(['ID1', 'ID2', 'ID3'])
puts responseQueryExportJobsMixin0
Section titled “QueryExportJobsMixin0”Query export jobs entities.
GET /lambdas/queries/exports/v1
PEP 8
query_export_jobsParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| filter | query | string | Filter exports using a query in Falcon Query Language (FQL). Only the last 100 jobs are returned. Supported filter fields: resource, status. |
| parameters | query | dictionary | Full query string parameters payload in JSON format. |
Code Examples
Section titled “Code Examples”from falconpy import ServerlessExports
falcon = ServerlessExports(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.query_export_jobs(filter="string")print(response)from falconpy import ServerlessExports
falcon = ServerlessExports(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.QueryExportJobsMixin0(filter="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("QueryExportJobsMixin0", filter="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/serverless_exports")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
filter := "string"
response, err := client.ServerlessExports.QueryExportJobsMixin0( &serverless_exports.QueryExportJobsMixin0Params{ Filter: &filter, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.serverlessExports.queryExportJobsMixin0("string"); // filter
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::ServerlessExports.new
response = api.query_export_jobs_mixin0(filter: 'string')
puts responseDownloadExportFileMixin0
Section titled “DownloadExportFileMixin0”Download an export file.
GET /lambdas/entities/exports/files/v1
PEP 8
download_export_fileParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| id | query | string | Export job ID. |
| parameters | query | dictionary | Full query string parameters payload in JSON format. |
Code Examples
Section titled “Code Examples”from falconpy import ServerlessExports
falcon = ServerlessExports(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
with open("output_file", "wb") as save_file: response = falcon.download_export_file(id="string", stream=boolean) save_file.write(response)from falconpy import ServerlessExports
falcon = ServerlessExports(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
with open("output_file", "wb") as save_file: response = falcon.DownloadExportFileMixin0(id="string", stream=boolean) save_file.write(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
with open("output_file", "wb") as save_file: response = falcon.command("DownloadExportFileMixin0", id="string") save_file.write(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/serverless_exports")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.ServerlessExports.DownloadExportFileMixin0( &serverless_exports.DownloadExportFileMixin0Params{ ID: "string", Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.serverlessExports.downloadExportFileMixin0("string"); // id
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::ServerlessExports.new
response = api.download_export_file_mixin0('string')
puts responseLaunchExportJobMixin0
Section titled “LaunchExportJobMixin0”Launch an export job of a Lambda Security resource. Maximum of 1 job in progress per resource. Use expand_vulnerabilities=true to get detailed vulnerability information.
POST /lambdas/entities/exports/v1
PEP 8
launch_export_jobParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| expand_vulnerabilities | body | boolean | Flag to include detailed vulnerability information. |
| format | body | string | The export file format. |
| fql | body | string | Filter the export using Falcon Query Language (FQL). |
| resource | body | string | The resource to export. Supported resources: function.detections, function.vulnerabilities-expanded, function.vulnerabilities. |
| sort | body | string | The fields to sort the records on. |
| body | body | dictionary | Full body payload as a JSON formatted dictionary. |
Code Examples
Section titled “Code Examples”from falconpy import ServerlessExports
falcon = ServerlessExports(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.launch_export_job(expand_vulnerabilities=boolean, format="string", fql="string", resource="string", sort="string")print(response)from falconpy import ServerlessExports
falcon = ServerlessExports(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.LaunchExportJobMixin0(expand_vulnerabilities=boolean, format="string", fql="string", resource="string", sort="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
body_payload = { "expand_vulnerabilities": boolean, "format": "string", "fql": "string", "resource": "string", "sort": "string"}
response = falcon.command("LaunchExportJobMixin0", body=body_payload)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/serverless_exports" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
expand_vulnerabilities := boolean format := "string" fql := "string" resource := "string" sort := "string"
response, err := client.ServerlessExports.LaunchExportJobMixin0( &serverless_exports.LaunchExportJobMixin0Params{ Body: &models.ExportsLaunchExportRequest{ ExpandVulnerabilities: &expand_vulnerabilities, Format: &format, Fql: &fql, Resource: &resource, Sort: &sort, }, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.serverlessExports.launchExportJobMixin0( { expandVulnerabilities: boolean, format: "string", fql: "string", resource: "string", sort: "string"} // body);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::ServerlessExports.new
body = Falcon::ExportsLaunchExportRequest.new( expand_vulnerabilities: boolean, format: 'string', fql: 'string', resource: 'string', sort: 'string')
response = api.launch_export_job_mixin0(body)
puts response